<?php
/**
 * Preface.
 *
 * @package MadeByAura\Prime\Plugins\Elementor\DynamicTags
 * @author  MadeByAura.com
 */

namespace MadeByAura\Prime\Plugins\Elementor\DynamicTags;

use Elementor\Core\DynamicTags\Tag;
use Elementor\Modules\DynamicTags\Module;
use MadeByAura\Prime\Modules\Preface as ModulesPreface;

defined( 'ABSPATH' ) || die();

/**
 * Preface.
 */
class Preface extends Tag {
	/**
	 * Get the name of the tag
	 */
	public function get_name() {
		return 'aura-theme-preface';
	}

	/**
	 * Get the title of the Tag.
	 */
	public function get_title() {
		return __( 'Preface', 'aura-prime' );
	}

	/**
	 * Get the group of the tag.
	 */
	public function get_group() {
		return 'aura-theme';
	}

	/**
	 * Get an array of tag categories.
	 */
	public function get_categories() {
		return [ Module::TEXT_CATEGORY ];
	}

	/**
	 * Register tag controls.
	 */
	protected function register_controls() {}

	/**
	 * Print the value of the tag.
	 */
	public function render() {
		echo esc_html( ModulesPreface::get_title() );
	}
}
